Package ghidra.app.plugin.exceptionhandlers.gcc.structures.ehFrame

# Class ExceptionHandlerFrameException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ghidra.app.plugin.exceptionhandlers.gcc.structures.ehFrame.ExceptionHandlerFrameException

All Implemented Interfaces:
  `Serializable`

public class ExceptionHandlerFrameException extends Exception
Generic Exception class for classes contained in the ehFrame package

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExceptionHandlerFrameException()`
  Constructs a new ExceptionHandlerFrameException with the specified detail message and cause.
  `ExceptionHandlerFrameException(String message)`
  Constructs a new ExceptionHandlerFrameException with the specified detail message.
  `ExceptionHandlerFrameException(String message, Throwable cause)`
  Constructs a new ExceptionHandlerFrameException with the specified detail message and cause.
  `ExceptionHandlerFrameException(Throwable cause)`
  Constructs a new ExceptionHandlerFrameException with the specified cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExceptionHandlerFrameException

    public ExceptionHandlerFrameException()
    Constructs a new ExceptionHandlerFrameException with the specified detail message and cause.

  - ### ExceptionHandlerFrameException

    public ExceptionHandlerFrameException(String message, Throwable cause)
    Constructs a new ExceptionHandlerFrameException with the specified detail message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause of this exception being thrown.

  - ### ExceptionHandlerFrameException

    public ExceptionHandlerFrameException(String message)
    Constructs a new ExceptionHandlerFrameException with the specified detail message.
    Parameters:
      `message` - the detail message.

  - ### ExceptionHandlerFrameException

    public ExceptionHandlerFrameException(Throwable cause)
    Constructs a new ExceptionHandlerFrameException with the specified cause.
    Parameters:
      `cause` - the cause of this exception being thrown.